org.apache.cassandra.cql3.statements

## Class Restriction.IN

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Restriction.IN

All Implemented Interfaces:
  Restriction

Enclosing interface:
  Restriction

    public abstract static class Restriction.IN
    extends java.lang.Object
    implements Restriction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Constructor Summary

Constructors
Constructor and Description
`Restriction.IN()`

### Method Summary

Methods
`abstract boolean` `canHaveOnlyOneValue()`
`static Restriction.IN` `create(java.util.List<Term> values)`
`static Restriction.IN` `create(Term value)`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isOnToken()`
`boolean` `isSlice()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`values`

### Constructor Detail

#### Restriction.IN

    public Restriction.IN()

### Method Detail

#### create

    public static Restriction.IN create(java.util.List<Term> values)

#### create

    public static Restriction.IN create(Term value)
                                 throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isIN

    public boolean isIN()

Specified by:
  `isIN` in interface `Restriction`

#### canHaveOnlyOneValue

    public abstract boolean canHaveOnlyOneValue()

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`